Subject: [Ecrit] My summary of the PSAP Callback Discussions

From: Hannes Tschofenig <[email-masked]>
Date: Sun, 11 Mar 2012 20:22:55 +0200

Hi all, 

I read through the long, long email PSAP callback discussions and I have to agree with the observation Henning made: 
The list of requirements and design constraints do not lead to a single solution. 

Without going through the list of requirements and scenarios (again) I thought it would be worthwhile to point out that we have a working group document that provides all the necessary background, requirements, and scenarios. Not everyone of you may have been aware of that document. 

Here is the pointer: 
http://tools.ietf.org/id/draft-ietf-ecrit-psap-callback-04.txt

If you look at the document you will notice that 

1) there is also a basic solution specified in PhoneBCP. It works in certain scenarios.

2) there are scenarios in the draft where the currently specified solution does not work. These include cases with routing asymmetry, i.e., the PSAP callback messages do not just use the reverse path of the original emergency call. In such a case sending a nonce (or token, or however you want to call it) in the initial emergency call will not help with the callback (since the state is allocated at the wrong entities). 

Ciao
Hannes